# Generated by Django 3.2.8 on 2021-11-19 08:04

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("district", "0020_auto_20211119_0801"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtelectionpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "candidate_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "call_to_action_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text 'call-to-action' baneru"
                                    ),
                                ),
                                (
                                    "call_to_action_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz 'call-to-action' baneru",
                                        required=False,
                                    ),
                                ),
                                (
                                    "call_to_action_button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Texst tlačítka 'call-to-action' baneru",
                                        max_length=24,
                                        required=False,
                                    ),
                                ),
                                (
                                    "candidate_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
        migrations.CreateModel(
            name="DistrictAfterElectionPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "text",
                    wagtail.fields.RichTextField(blank=True, verbose_name="text"),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Povolební strategie",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.AddField(
            model_name="districtelectionpage",
            name="strategy_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="district.districtafterelectionpage",
                verbose_name="Stránka povolební strategie",
            ),
        ),
    ]
