# Generated by Django 5.0.6 on 2024-07-11 16:31

import wagtail.blocks
import wagtail.blocks.static_block
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import shared.blocks.children.misc


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0249_alter_districtpersonpage_main_image_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districthomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "fullscreen_header_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na desktopu.",
                                        label="Obrázek na pozadí (desktop)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na mobilu.",
                                        label="Obrázek na pozadí (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "desktop_video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="Video (desktop)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na mobilech s povoleným autoplayem místo obrázku.",
                                        label="Video (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "desktop_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop první řádek", required=False
                                    ),
                                ),
                                (
                                    "desktop_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop druhý řádek", required=False
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek", required=False
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek", required=False
                                    ),
                                ),
                                (
                                    "mobile_line_3",
                                    wagtail.blocks.TextBlock(
                                        label="Třetí mobilní řádek", required=False
                                    ),
                                ),
                                (
                                    "button_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Bez odkazu tlačítko nebude viditelné.",
                                        label="Odkaz tlačítka",
                                        required=False,
                                    ),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(
                                        label="Popis", required=False
                                    ),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/district/articles_section.html",
                        ),
                    ),
                    (
                        "elections_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "text_before_countdown",
                                    wagtail.blocks.CharBlock(
                                        default="Aktuálně zbývá",
                                        label="Text před odpočtem",
                                        required=True,
                                    ),
                                ),
                                (
                                    "countdown_timestamp",
                                    wagtail.blocks.DateTimeBlock(
                                        label="Datum & čas voleb", required=True
                                    ),
                                ),
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title_line_1",
                                    wagtail.blocks.CharBlock(
                                        label="První řádek titulku"
                                    ),
                                ),
                                (
                                    "title_line_2",
                                    wagtail.blocks.CharBlock(
                                        label="Druhý řádek titulku"
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.children.misc.PersonBoxBlock,
                                        label="Boxíky",
                                    ),
                                ),
                            ],
                            template="styleguide2/includes/organisms/main_section/district/representatives_section.html",
                        ),
                    ),
                    (
                        "calendar_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="Adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="Volba kalendáře",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "carousel_program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "label",
                                    wagtail.blocks.CharBlock(
                                        default="Program",
                                        help_text="Např. 'Program'",
                                        label="Nadpis",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Obsah"
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                        label="Body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie",
                                    ),
                                ),
                                (
                                    "long_version_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                        label="Odkaz na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "long_version_text",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis odkazu na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    ("newsletter_block", wagtail.blocks.StructBlock([])),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
    ]
