# Generated by Django 4.0.4 on 2022-08-10 16:23

import django.utils.timezone
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.blocks
import wagtail.contrib.routable_page.models
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import main.blocks
import shared.blocks
import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0024_index_image_file_hash"),
        ("taggit", "0004_alter_taggeditem_content_type_alter_taggeditem_tag"),
        ("wagtailcore", "0069_log_entry_jsonfield"),
        ("main", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="MainArticlePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="Textový editor",
                                ),
                            ),
                            (
                                "headline",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Headline",
                                                max_length=300,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("head-alt-xl", "Bebas XL"),
                                                    ("head-alt-lg", "Bebas L"),
                                                    ("head-alt-md", "Bebas M"),
                                                    ("head-alt-base", "Bebas base"),
                                                    ("head-alt-sm", "Bebas SM"),
                                                    ("head-alt-xs", "Bebas XS"),
                                                    ("head-alt-2xs", "Bebas 2XS"),
                                                    ("head-heavy-base", "Roboto base"),
                                                    ("head-heavy-sm", "Roboto SM"),
                                                    ("head-heavy-xs", "Roboto XS"),
                                                    ("head-heavy-2xs", "Roboto 2XS"),
                                                    ("head-allcaps-2xs", "Allcaps 2XS"),
                                                    ("head-allcaps-3xs", "Allcaps 3XS"),
                                                    ("head-allcaps-4xs", "Allcaps 4XS"),
                                                    (
                                                        "head-heavy-allcaps-2xs",
                                                        "Allcaps heavy 2XS",
                                                    ),
                                                    (
                                                        "head-heavy-allcaps-3xs",
                                                        "Allcaps heavy 3XS",
                                                    ),
                                                    (
                                                        "head-heavy-allcaps-4xs",
                                                        "Allcaps heavy 4XS",
                                                    ),
                                                ],
                                                help_text="Náhled si prohlédněte na https://styleguide.pir-test.eu/latest/?p=viewall-atoms-text.",
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "tag",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("h1", "H1"),
                                                    ("h2", "H2"),
                                                    ("h3", "H3"),
                                                    ("h4", "H4"),
                                                    ("h5", "H5"),
                                                    ("h6", "H6"),
                                                ],
                                                help_text="Čím nižší číslo, tím vyšší úroveň.",
                                                label="Úroveň nadpisu",
                                            ),
                                        ),
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("auto", "Automaticky"),
                                                    ("center", "Na střed"),
                                                ],
                                                label="Zarovnání",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    template="shared/blocks/table_block.html"
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "gallery_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek", required=True
                                                ),
                                                group="ostatní",
                                                icon="image",
                                                label="Galerie",
                                            ),
                                        )
                                    ],
                                    label="Galerie",
                                ),
                            ),
                            (
                                "figure",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.TextBlock(
                                                label="Popisek", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "card",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=False
                                            ),
                                        ),
                                        (
                                            "elevation",
                                            wagtail.blocks.IntegerBlock(
                                                default=2,
                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                label="Velikost stínu",
                                                max_value=21,
                                                min_value=0,
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.TextBlock(
                                                label="Titulek", required=False
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                label="Zvýraznit stín na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "two_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "three_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "middle_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah prostředního sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-osm-bright",
                                                                                                        "Stadia OSM Bright",
                                                                                                    ),
                                                                                                    (
                                                                                                        "stadia-outdoors",
                                                                                                        "Stadia Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-streets",
                                                                                                        "Mapbox Streets",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-outdoors",
                                                                                                        "Mapbox Outdoors",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-light",
                                                                                                        "Mapbox Light",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-dark",
                                                                                                        "Mapbox Dark",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-satellite",
                                                                                                        "Mapbox Satellite",
                                                                                                    ),
                                                                                                    (
                                                                                                        "mapbox-pirate",
                                                                                                        "Mapbox Pirate Theme",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            ),
                                                                            (
                                                                                "stadia-osm-bright",
                                                                                "Stadia OSM Bright",
                                                                            ),
                                                                            (
                                                                                "stadia-outdoors",
                                                                                "Stadia Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-streets",
                                                                                "Mapbox Streets",
                                                                            ),
                                                                            (
                                                                                "mapbox-outdoors",
                                                                                "Mapbox Outdoors",
                                                                            ),
                                                                            (
                                                                                "mapbox-light",
                                                                                "Mapbox Light",
                                                                            ),
                                                                            (
                                                                                "mapbox-dark",
                                                                                "Mapbox Dark",
                                                                            ),
                                                                            (
                                                                                "mapbox-satellite",
                                                                                "Mapbox Satellite",
                                                                            ),
                                                                            (
                                                                                "mapbox-pirate",
                                                                                "Mapbox Pirate Theme",
                                                                            ),
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "youtube",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "poster_image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                label="Náhled videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_url",
                                            wagtail.blocks.URLBlock(
                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                label="Odkaz na video",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_id",
                                            wagtail.blocks.CharBlock(
                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                label="ID videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                    ],
                                    label="YouTube video",
                                ),
                            ),
                            (
                                "map_point",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("osm-mapnik", "OSM Mapnik"),
                                                    (
                                                        "stadia-osm-bright",
                                                        "Stadia OSM Bright",
                                                    ),
                                                    (
                                                        "stadia-outdoors",
                                                        "Stadia Outdoors",
                                                    ),
                                                    (
                                                        "mapbox-streets",
                                                        "Mapbox Streets",
                                                    ),
                                                    (
                                                        "mapbox-outdoors",
                                                        "Mapbox Outdoors",
                                                    ),
                                                    ("mapbox-light", "Mapbox Light"),
                                                    ("mapbox-dark", "Mapbox Dark"),
                                                    (
                                                        "mapbox-satellite",
                                                        "Mapbox Satellite",
                                                    ),
                                                    (
                                                        "mapbox-pirate",
                                                        "Mapbox Pirate Theme",
                                                    ),
                                                ],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Špendlík na mapě",
                                ),
                            ),
                            (
                                "map_collection",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "features",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "geojson",
                                                            wagtail.blocks.TextBlock(
                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                label="Geodata",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva (HEX)",
                                                            ),
                                                        ),
                                                    ],
                                                    required=True,
                                                ),
                                                label="Součásti",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("osm-mapnik", "OSM Mapnik"),
                                                    (
                                                        "stadia-osm-bright",
                                                        "Stadia OSM Bright",
                                                    ),
                                                    (
                                                        "stadia-outdoors",
                                                        "Stadia Outdoors",
                                                    ),
                                                    (
                                                        "mapbox-streets",
                                                        "Mapbox Streets",
                                                    ),
                                                    (
                                                        "mapbox-outdoors",
                                                        "Mapbox Outdoors",
                                                    ),
                                                    ("mapbox-light", "Mapbox Light"),
                                                    ("mapbox-dark", "Mapbox Dark"),
                                                    (
                                                        "mapbox-satellite",
                                                        "Mapbox Satellite",
                                                    ),
                                                    (
                                                        "mapbox-pirate",
                                                        "Mapbox Pirate Theme",
                                                    ),
                                                ],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Mapová kolekce",
                                ),
                            ),
                            (
                                "button",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                label="Ikonka",
                                                max_length=128,
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "size",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("sm", "Malá"),
                                                    ("base", "Střední"),
                                                    ("lg", "Velká"),
                                                ],
                                                label="Velikost",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black", "Černá"),
                                                    ("white", "Bílá"),
                                                    ("grey-125", "Světle šedá"),
                                                    ("blue-300", "Modrá"),
                                                    ("cyan-200", "Tyrkysová"),
                                                    ("green-400", "Zelené"),
                                                    ("violet-400", "Vínová"),
                                                    ("red-600", "Červená"),
                                                ],
                                                label="Barva",
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=True,
                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                label="Animovat na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "mobile_fullwidth",
                                            wagtail.blocks.BooleanBlock(
                                                default=True,
                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                label="Plná šířka na mobilních zařízeních",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("auto", "Automaticky"),
                                                    ("center", "Na střed"),
                                                ],
                                                label="Zarovnání",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "button_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "buttons",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Tlačítka",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "image_banner",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Headline",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=(
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ),
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "mobile_fullwidth",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                        label="Plná šířka na mobilních zařízeních",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "align",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "auto",
                                                                                "Automaticky",
                                                                            ),
                                                                            (
                                                                                "center",
                                                                                "Na střed",
                                                                            ),
                                                                        ],
                                                                        label="Zarovnání",
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "mobile_fullwidth",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                        label="Plná šířka na mobilních zařízeních",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "align",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "auto",
                                                                                                "Automaticky",
                                                                                            ),
                                                                                            (
                                                                                                "center",
                                                                                                "Na střed",
                                                                                            ),
                                                                                        ],
                                                                                        label="Zarovnání",
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Článek",
                    ),
                ),
                (
                    "date",
                    models.DateField(
                        default=django.utils.timezone.now, verbose_name="datum"
                    ),
                ),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "author",
                    models.CharField(
                        blank=True, max_length=250, null=True, verbose_name="autor"
                    ),
                ),
            ],
            options={
                "verbose_name": "Aktualita",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.RemoveField(
            model_name="mainhomepage",
            name="footer",
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="contact_newcomers",
            field=models.URLField(
                blank=True,
                default="https://nalodeni.pirati.cz",
                null=True,
                verbose_name="URL pro zájemce o členství",
            ),
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="donation_page",
            field=models.URLField(
                blank=True,
                default="https://dary.pirati.cz",
                null=True,
                verbose_name="URL pro příjem darů (tlačítko Dary)",
            ),
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="footer_other_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock()),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(main.blocks.LinkBlock),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Bloky dalších odkazů v zápatí webu",
            ),
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="footer_person_list",
            field=wagtail.fields.StreamField(
                [
                    (
                        "person",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Osoby v zápatí webu",
            ),
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="footer_social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("text", wagtail.blocks.CharBlock()),
                                ("link", wagtail.blocks.URLBlock()),
                                ("icon", wagtail.blocks.CharBlock()),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
        migrations.CreateModel(
            name="MainWorkPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField()),
                (
                    "timeline",
                    wagtail.fields.StreamField(
                        [
                            (
                                "article_list",
                                wagtail.blocks.PageChooserBlock(
                                    page_type=["main.MainArticlePage"]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Timeline",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Piráti pracují",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="MainProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField()),
                (
                    "program",
                    wagtail.fields.StreamField(
                        [
                            (
                                "program_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("title", wagtail.blocks.CharBlock()),
                                        (
                                            "person_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "icon",
                                                            wagtail.images.blocks.ImageChooserBlock(),
                                                        ),
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(),
                                                        ),
                                                        (
                                                            "text",
                                                            wagtail.blocks.TextBlock(),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Program",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Program",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="MainPersonPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField()),
                ("text", wagtail.fields.RichTextField()),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Detail osoby",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="MainPeoplePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField()),
                (
                    "people",
                    wagtail.fields.StreamField(
                        [
                            (
                                "people_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("title", wagtail.blocks.CharBlock()),
                                        (
                                            "person_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.PageChooserBlock(
                                                    page_type=["main.MainPersonPage"]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=None,
                        verbose_name="Lidé",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Lidé",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="MainArticleTag",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content_object",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="main.mainarticlepage",
                    ),
                ),
                (
                    "tag",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="%(app_label)s_%(class)s_items",
                        to="taggit.tag",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="MainArticlesPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Aktuality",
            },
            bases=(
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.AddField(
            model_name="mainarticlepage",
            name="author_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="main.mainpersonpage",
            ),
        ),
        migrations.AddField(
            model_name="mainarticlepage",
            name="image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="wagtailimages.image",
                verbose_name="obrázek",
            ),
        ),
        migrations.AddField(
            model_name="mainarticlepage",
            name="search_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Search image",
            ),
        ),
        migrations.AddField(
            model_name="mainarticlepage",
            name="tags",
            field=modelcluster.contrib.taggit.ClusterTaggableManager(
                blank=True,
                help_text="A comma-separated list of tags.",
                through="main.MainArticleTag",
                to="taggit.Tag",
                verbose_name="Tags",
            ),
        ),
    ]
